DELETE /webhooks/rest/v1/webhooks/{id} REST API Endpoint
Parámetros de ruta
id
cadena
OBLIGATORIO
Cargando...
Devoluciones
código
número
Cargando...
msg
cadena
Cargando...
datos
null
Cargando...
Solicitud
1curl -X DELETE \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID" \3-H "accept: application/json" \4-H "x-api-key: YOUR_API_KEY"
1curl -X DELETE \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID" \3-H "accept: application/json" \4-H "x-api-key: YOUR_API_KEY"
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID' // Replace with your actual webhook ID4const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}`56const encabezados = {7accept: 'application/json',8'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key9}1011axios12.delete(url, { headers })13.then(response => {14console.log('Webhook deleted successfully')15console.log(response.data)16})17.catch(error => {18console.error('Error:', error.response?.data || error.message)19})20
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID' // Replace with your actual webhook ID4const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}`56const encabezados = {7accept: 'application/json',8'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key9}1011axios12.delete(url, { headers })13.then(response => {14console.log('Webhook deleted successfully')15console.log(response.data)16})17.catch(error => {18console.error('Error:', error.response?.data || error.message)19})20
1import solicitudes23webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID4url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}"56carga útil = {}78encabezados = {9'accept': 'application/json',10'x-api-key': 'YOUR_API_KEY'11}1213response = requests.request("DELETE", url, headers=headers, data=payload)1415print(response.text)
1import solicitudes23webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID4url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}"56carga útil = {}78encabezados = {9'accept': 'application/json',10'x-api-key': 'YOUR_API_KEY'11}1213response = requests.request("DELETE", url, headers=headers, data=payload)1415print(response.text)
1requiere «uri»2require «net/http»34webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID5url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}")67https = Net::HTTP.nuevo(url.host, url.puerto)8https.use_ssl = true910request = Net::HTTP::Delete.new(url)11solicitud[«aceptar»] = "application/json"12solicitud[«x-api-key»] = "TU_CLAVE_API"1314respuesta = https.solicitud(solicitud)15puts response.body
1requiere «uri»2require «net/http»34webhook_id = "YOUR_WEBHOOK_ID" # Replace with your actual webhook ID5url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}")67https = Net::HTTP.nuevo(url.host, url.puerto)8https.use_ssl = true910request = Net::HTTP::Delete.new(url)11solicitud[«aceptar»] = "application/json"12solicitud[«x-api-key»] = "TU_CLAVE_API"1314respuesta = https.solicitud(solicitud)15puts response.body
1qn webhook delete {webhook_id} -o json
1qn webhook delete {webhook_id} -o json
1import { QuicknodeSdk } desde "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.deleteWebhook("WEBHOOK_ID")6consola.registro(respuesta)7
1import { QuicknodeSdk } desde "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.deleteWebhook("WEBHOOK_ID")6consola.registro(respuesta)7
1import asyncio2de quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="TU_CLAVE_API"))7response = await qn.webhooks.delete_webhook("WEBHOOK_ID")8imprimir(respuesta)91011asyncio.run(main()))12
1import asyncio2de quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="TU_CLAVE_API"))7response = await qn.webhooks.delete_webhook("WEBHOOK_ID")8imprimir(respuesta)91011asyncio.run(main()))12
1require «quicknode_sdk»23qn = QuicknodeSdk::SDK.from_config(api_key: "TU_CLAVE_API")45response = qn.webhooks.delete_webhook("WEBHOOK_ID")6muestra la respuesta7
1require «quicknode_sdk»23qn = QuicknodeSdk::SDK.from_config(api_key: "TU_CLAVE_API")45response = qn.webhooks.delete_webhook("WEBHOOK_ID")6muestra la respuesta7
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5sea qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key(«TU_CLAVE_API»).build())?;6let response = qn.webhooks.delete_webhook("WEBHOOK_ID").await?;78println!("{:?}", response);9Vale(())10}11
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5sea qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key(«TU_CLAVE_API»).build())?;6let response = qn.webhooks.delete_webhook("WEBHOOK_ID").await?;78println!("{:?}", response);9Vale(())10}11
¿Aún no tienes una cuenta?
Crea tu punto de conexión de Quicknode en cuestión de segundos y empieza a desarrollar
Empieza gratis